API Reference
Update risk assessment in batch
/v2/risk_assessment https://api.cable.tech Authentication
- Bearer token in the Authorization header
risk_assessment:write
Request body
An array of risk assessment update payloads. Each payload must include the ‘assessment_id’ to identify the identity verification and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.
-
assessment_idstring requiredUnique identifier for a risk assessment belonging to a risk assessment. This is the primary key for a risk assessment and should be unique across all risk assessments. Updates to a risk assessment should be made using this identifier.
-
timestampstring requiredWhen the risk assessment was performed, not when reported to Cable. Use ISO 8601 format.
Format
date-time -
related_company_idstringUnique identifier of the related company entity (used for business contexts). Only one of related_company_id and related_person_id can be specified.
Example
company-id-12345 -
related_person_idstringUnique identifier of the related person entity (used for retail contexts or when a person is the subject). Only one of related_company_id and related_person_id can be specified.
Example
person-id-56789 -
typestring requiredType of risk assessment (e.g., pre-onboarding risk rating, risk band, risk engine score)
Example
onboarding risk band -
outcomestring requiredThe outcome of the assessment. One of: LOW, MEDIUM, HIGH, CRITICAL
Responses
200 Risk assessment updated successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid risk assessment data
- 401 Unauthorized request
- 404 Risk assessment not found
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-